All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.olap
Class HeaderArea

    com.sas.actionprovider.util.olap.HeaderArea

All Implemented Interfaces:
  AxisAreaInterface, HeaderAreaInterface

    public class HeaderArea

implements HeaderAreaInterface

Interface for specifying the attributes required for identifying a header cell in a olap tableview component.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4

Field Summary

Fields inherited from interface com.sas.actionprovider.util.olap.HeaderAreaInterface
`UNSET`

Constructor Summary
`HeaderArea()` Default Constructor
`HeaderArea(int axisIndex, java.lang.String dimension, java.lang.String hierarchy, java.lang.String level)` Constructor.

Method Summary
`int` | `getAxisNumber()` Returns the axis number for the header cell.
`java.lang.String` | `getDimension()` Returns the name of the dimension for the header cell.
`java.lang.String` | `getHierarchy()` Returns the name of the hierarachy for the header cell.
`java.lang.String` | `getLevel()` Returns the name of the level for the header cell.
`java.lang.String` | `getMember()` Returns the name of the member for the header cell.
`void` | `setAxisNumber(int axisNumber)` Sets the axis number for the header cell.
`void` | `setDimension(java.lang.String dimension)` Sets the name of the dimension for the header cell.
`void` | `setHierarchy(java.lang.String hierarachy)` Sets the name of the hierarachy for the header cell.
`void` | `setLevel(java.lang.String level)` Sets the name of the level for the header cell.
`void` | `setMember(java.lang.String member)` Sets the name of the member for the header cell.

Constructor Detail

### HeaderArea

    public HeaderArea()

  Default Constructor

### HeaderArea

    public HeaderArea(int axisIndex,
                      java.lang.String dimension,
                      java.lang.String hierarchy,
                      java.lang.String level)

  Constructor.

  Parameters:
    `axisIndex` - The axis index.
    `dimension` - The name of the dimension for the header cell.
    `hierarchy` - The name of the hierarchy for the header cell.
    `level` - The name of the level for the header cell.

Method Detail

### setAxisNumber

    public void setAxisNumber(int axisNumber)

  Sets the axis number for the header cell.

  Specified by:
    `setAxisNumber` in interface `AxisAreaInterface`
  Specified by:
    `setAxisNumber` in interface `HeaderAreaInterface`
  Parameters:
    `axisNumber` - the axis number for the header cell.

### getAxisNumber

    public int getAxisNumber()

  Returns the axis number for the header cell.

  Specified by:
    `getAxisNumber` in interface `AxisAreaInterface`
  Specified by:
    `getAxisNumber` in interface `HeaderAreaInterface`
  Returns:
    the axis number for the header cell.

### setDimension

    public void setDimension(java.lang.String dimension)

  Sets the name of the dimension for the header cell.

  Specified by:
    `setDimension` in interface `HeaderAreaInterface`
  Parameters:
    `dimension` - the name of the dimension for the header cell.

### getDimension

    public java.lang.String getDimension()

  Returns the name of the dimension for the header cell.

  Specified by:
    `getDimension` in interface `HeaderAreaInterface`
  Parameters:
    `the` - name of the dimension for the header cell.

### setHierarchy

    public void setHierarchy(java.lang.String hierarachy)

  Sets the name of the hierarachy for the header cell.

  Specified by:
    `setHierarchy` in interface `HeaderAreaInterface`
  Parameters:
    `hierarachy` - the name of hierarachy the viewer index for the header cell.

### getHierarchy

    public java.lang.String getHierarchy()

  Returns the name of the hierarachy for the header cell.

  Specified by:
    `getHierarchy` in interface `HeaderAreaInterface`
  Parameters:
    `the` - name of the hierarachy for the header cell.

### setLevel

    public void setLevel(java.lang.String level)

  Sets the name of the level for the header cell.

  Specified by:
    `setLevel` in interface `HeaderAreaInterface`
  Parameters:
    `level` - the name of the level for the header cell.

### getLevel

    public java.lang.String getLevel()

  Returns the name of the level for the header cell.

  Specified by:
    `getLevel` in interface `HeaderAreaInterface`
  Parameters:
    `the` - name of the level for the header cell.

### setMember

    public void setMember(java.lang.String member)

  Sets the name of the member for the header cell.

  Specified by:
    `setMember` in interface `HeaderAreaInterface`
  Parameters:
    `member` - the name of the member for the header cell.

### getMember

    public java.lang.String getMember()

  Returns the name of the member for the header cell.

  Specified by:
    `getMember` in interface `HeaderAreaInterface`
  Parameters:
    `the` - name of the member for the header cell.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.